linux-ec2: 2.6.32-369.85 -proposed tracker

Bug #1357410 reported by Brad Figg on 2014-08-15
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 15. August 2014 15:03 UTC
kernel-stable-master-bug:1357394
kernel-stable-Certification-testing-end:Monday, 18. August 2014 13:04 UTC
kernel-stable-Prepare-package-end:Monday, 18. August 2014 15:09 UTC
kernel-stable-Promote-to-proposed-start:Monday, 18. August 2014 15:09 UTC
ppa-package-testing-start:Monday, 18. August 2014 15:09 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 19. August 2014 21:02 UTC
kernel-stable-Security-signoff-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Verification-testing-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Regression-testing-start:Tuesday, 19. August 2014 23:03 UTC
kernel-stable-Regression-testing-end:Thursday, 21. August 2014 20:01 UTC
kernel-stable-Security-signoff-end:Thursday, 28. August 2014 09:03 UTC
kernel-stable-Promote-to-updates-start:Thursday, 28. August 2014 22:26 UTC
kernel-stable-Promote-to-updates-end:Thursday, 28. August 2014 23:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 29. August 2014 00:07 UTC

This tracking bug was opened to be worked from linux-2.6.32-65.129 update (bug 1357394)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Stefan Bader (smb) on 2014-08-18
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-369.85 -proposed tracker
Brad Figg (brad-figg) on 2014-08-18
description: updated
Brad Figg (brad-figg) on 2014-08-18
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-08-19
description: updated
Brad Figg (brad-figg) on 2014-08-19
description: updated
Para Siva (psivaa) on 2014-08-21
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-08-21
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-08-28
description: updated
Brad Figg (brad-figg) on 2014-08-28
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-369.85

---------------
linux-ec2 (2.6.32-369.85) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-65.129
  * Rebased to Ubuntu-2.6.32-65.131
  * Release Tracking Bug
    - LP: #1357410

  [ Upstream Kernel Changes ]

  * xen: x86_32, entry: Do syscall exit work on badsys (CVE-2014-4508)
    - LP: #1334989
    - CVE-2014-4508
  * xen: x86_32, entry: Store badsys error code in %eax
    - LP: #1334989
    - CVE-2014-4508

  [ Ubuntu: 2.6.32-65.131 ]

  * x86_32, entry: Store badsys error code in %eax
    - LP: #1334989
    - CVE-2014-4508

  [ Ubuntu: 2.6.32-65.129 ]

  * fix autofs/afs/etc. magic mountpoint breakage
    - CVE-2014-0203
  * ALSA: control: Don't access controls outside of protected regions
    - LP: #1339297
    - CVE-2014-4653
  * ALSA: control: Fix replacing user controls
    - LP: #1339303, #1339304
    - CVE-2014-4655
  * ALSA: control: Handle numid overflow
    - LP: #1339306
    - CVE-2014-4656
  * ALSA: control: Make sure that id->index does not overflow
    - LP: #1339306
    - CVE-2014-4656
  * sctp: Fix sk_ack_backlog wrap-around problem
    - CVE-2014-4667
  * x86_32, entry: Do syscall exit work on badsys (CVE-2014-4508)
    - LP: #1334989
    - CVE-2014-4508
  * ALSA: control: Protect user controls against concurrent access
    - LP: #1339294
    - CVE-2014-4652
  * net: sctp: inherit auth_capable on INIT collisions
    - LP: #1349804
    - CVE-2014-5077
 -- Stefan Bader <email address hidden> Fri, 15 Aug 2014 08:55:05 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-08-28
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers